Solarware API Docs
Download YAML

Update phone

put /api/v1/phones/{id}

Security

ApiKeyAuth

Parameters

Name In Type Details
id path integer required Resource ID

Request body required

application/json

Schema

{
    "type": "object",
    "description": "Phone fields for create/update (linked to a contact or partner).",
    "required": [
        "number"
    ],
    "properties": {
        "id": {
            "type": "integer",
            "description": "Existing phone id (update only)"
        },
        "contact_phone_types_id": {
            "type": "integer"
        },
        "label": {
            "type": "string"
        },
        "country_code": {
            "type": "string"
        },
        "number": {
            "type": "string"
        },
        "extension": {
            "type": "string"
        },
        "e164_number": {
            "type": "string"
        },
        "is_primary": {
            "type": "boolean"
        },
        "is_whatsapp": {
            "type": "boolean"
        },
        "is_sms_enabled": {
            "type": "boolean"
        },
        "is_verified": {
            "type": "boolean"
        },
        "is_active": {
            "type": "boolean"
        }
    }
}

Responses

200 Phone updated

application/json

{
    "allOf": [
        {
            "title": "API envelope",
            "type": "object",
            "properties": {
                "success": {
                    "type": "boolean"
                },
                "message": {
                    "type": "string",
                    "nullable": true
                },
                "errors": {
                    "nullable": true
                },
                "meta": {
                    "type": "object",
                    "nullable": true,
                    "additionalProperties": true
                }
            }
        },
        {
            "type": "object",
            "properties": {
                "data": {
                    "title": "Phone",
                    "type": "object",
                    "description": "Phone in responses.",
                    "required": [
                        "number",
                        "is_primary"
                    ],
                    "properties": {
                        "id": {
                            "type": "integer",
                            "nullable": true
                        },
                        "contacts_id": {
                            "type": "integer",
                            "nullable": true
                        },
                        "partners_id": {
                            "type": "integer",
                            "nullable": true
                        },
                        "label": {
                            "type": "string",
                            "nullable": true
                        },
                        "country_code": {
                            "type": "string",
                            "nullable": true
                        },
                        "number": {
                            "type": "string"
                        },
                        "extension": {
                            "type": "string",
                            "nullable": true
                        },
                        "e164_number": {
                            "type": "string",
                            "nullable": true
                        },
                        "is_primary": {
                            "type": "boolean"
                        }
                    }
                }
            }
        }
    ]
}
401 Missing or invalid API key

application/json

{
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean",
            "example": false
        },
        "message": {
            "type": "string",
            "example": "Missing API key (X-Api-Key)"
        }
    }
}
404 Resource not found

application/json

{
    "title": "API envelope",
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean"
        },
        "message": {
            "type": "string",
            "nullable": true
        },
        "errors": {
            "nullable": true
        },
        "meta": {
            "type": "object",
            "nullable": true,
            "additionalProperties": true
        }
    }
}
422 Validation failed

application/json

{
    "title": "API envelope",
    "type": "object",
    "properties": {
        "success": {
            "type": "boolean"
        },
        "message": {
            "type": "string",
            "nullable": true
        },
        "errors": {
            "nullable": true
        },
        "meta": {
            "type": "object",
            "nullable": true,
            "additionalProperties": true
        }
    }
}